#!/bin/sh
#############################################################################
# UPS Monitor 2.0 Linux - Skrypt deinstalacyjny                             #
# Copyright (c) 2002 by Fideltronik                                         #
# Wszekie prawa zastrzezone                                                 #
#############################################################################
# Skrypt dla systemu: Linux                                                 #
#############################################################################

UPS='UPS Monitor 2.0 Client'
UPS_PATH0='/etc/ups_client'
UPS_PATH1='/etc/ups_client/server1'
UPS_PATH2='/etc/ups_client/server2'
UPS_PATH3='/etc/ups_client/server3'
UPS_PATH4='/etc/ups_client/server4'
UPS_PATH5='/etc/ups_client/server5'

clear
echo "-------------------------------------------------------------------"
echo "-                                                                 -"
echo "-               Deintsalacja UPS Monitor 2.0 Client               -"
echo "-                                                                 -"
echo "-------------------------------------------------------------------"
echo "-                                                                 -"
echo "- Copyright (C) 2002 by Fideltronik, wszelkie prawa zastrzezone.  -"
echo "-                                                                 -"
echo "- Autor: Zbigniew Huber, huber@fideltronik.com.pl                 -"
echo "-                                                                 -"
echo "-------------------------------------------------------------------"
echo "- Wersja binarna dla systemu Linux                                -"
echo "-------------------------------------------------------------------"
echo ""
echo ""
echo "Czy usunac $UPS z systemu (t/n)?"
read wybor
echo ""

if [ "$wybor" != 't' ]
  then
   echo "Deinstalacja anulowana"
   exit 0
fi

cd /


# zakoncz prace upsd 
pid=`ps -e | grep "upsc" | fgrep -v "grep" | awk "{print "'$1'"}"`

if [ "$pid" = "" ]
 then
  {
  echo "$UPS zatrzymany"
  } 
 else
  {
   # wyslij TERMINATED
   echo "Zatrzymanie $UPS..."
   kill -15 $pid 2>/dev/null
   sleep 3
   
   # sprawdz czy proces nadal dziala i jezeli tak to wyslij KILLED
   pid=`ps -e | grep "upsc" | fgrep -v "grep" | awk "{print "'$1'"}"`
   
   if [ "$pid" = "" ]
    then
     {
    echo "$UPS zostal zatrzymany"
     }
    else
     {
     kill -9 $pid 2>/dev/null
     sleep 2
     echo "$UPS zatrzymany (kill)"
     }       
   fi
   }
fi 

# usuniecie plikow
echo ""
echo "Usuniecie plikow"
rm /etc/ups_client/upsc
rm /etc/ups_client/upsc.conf
rm /etc/ups_client/remove.sh
rm /etc/ups_client/upsclient

rm /etc/ups_client/server1/*
rm /etc/ups_client/server2/*
rm /etc/ups_client/server3/*
rm /etc/ups_client/server4/*
rm /etc/ups_client/server5/*

# usuniecie katalogow
echo ""
echo "Usuniecie katalogow"
rmdir /etc/ups_client/server1
rmdir /etc/ups_client/server2
rmdir /etc/ups_client/server3
rmdir /etc/ups_client/server4
rmdir /etc/ups_client/server5
rmdir /etc/ups_client

# usuniecie skryptow startowych
echo""
echo "Usuniecie skryptow startowych $UPS" 
if [ -L /etc/rc2.d/S95upsc ]
 then
 rm -f /etc/rc2.d/S95upsc
 echo "Usunieto /etc/rc2.d/S95upsc" 
fi
if [ -L /etc/rc3.d/S95upsc ]
 then
 rm -f /etc/rc3.d/S95upsc
 echo "Usunieto /etc/rc3.d/S95upsc" 
fi

# koniec
echo ""
echo ""
echo "Deinstalacja zakoczona."
echo ""
exit 0