#!/bin/sh
#############################################################################
# UPS Monitor 2.0 Client - Skrypt Instalacyjny                              #
# Copyright (c) 2002 by Fideltronik                                         #
# Wszekie prawa zastrzezone                                                 #
#############################################################################
# Skrypt dla systemw: Linux                                                 #
#############################################################################

UPS='UPS Monitor 2.0 Client'
UPS_PATH0='/etc/ups_client'
UPS_PATH1='/etc/ups_client/server1'
UPS_PATH2='/etc/ups_client/server2'
UPS_PATH3='/etc/ups_client/server3'
UPS_PATH4='/etc/ups_client/server4'
UPS_PATH5='/etc/ups_client/server5'


###############################################################################
clear
echo "-------------------------------------------------------------------"
echo "-                                                                 -"
echo "-                       UPS Monitor 2.0 Client                    -"
echo "-                                                                 -"
echo "-------------------------------------------------------------------"
echo "-                                                                 -"
echo "- Copyright (C) 2002 by Fideltronik, wszelkie prawa zastrzezone.  -"
echo "-                                                                 -"
echo "- Autor: Zbigniew Huber, huber@fideltronik.com.pl                 -"
echo "-                                                                 -"
echo "-------------------------------------------------------------------"
echo "- Wersja binarna dla systemu Linux                                -"
echo "-------------------------------------------------------------------"
echo ""
echo ""
echo "Czy zainstalowac $UPS (t/n)?"
read wybor
echo ""

if [ "$wybor" != 't' ]
  then
   echo "Instalacja anulowana"
   exit 0
fi


###############################################################################
# sprawdz czy jest juz zainstalowany UPS Monitor
if [ -f $UPS_PATH0/upsc ]
 then
  {
  # UPS Monitor jest juz zainstalowany - poinformuj i zakoncz prace
  echo "$UPS jest juz zainstalowany !"
  echo "Aby reinstalowac usun obecna instalacje: $UPS_PATH0/remove.sh"
  echo ""
  exit 1
  }
fi

###############################################################################
# katalog glowny
echo "Utworzenie katalogow"

if [ ! -d $UPS_PATH0 ]
 then
  echo "Utworzenie katalogu $UPS_PATH0"
  mkdir $UPS_PATH0
  if [ ! -d $UPS_PATH0 ]
   then
    echo ""
    echo "Nie mozna utworzyc katalogu $UPS_PATH0 - Instalacja przerwana"
    echo ""
    exit 2
 fi
fi    

###############################################################################
# katalogi dodatkowe
if [ ! -d $UPS_PATH1 ]
 then
  echo "Utworzenie katalogu $UPS_PATH1"
  mkdir $UPS_PATH1
  if [ ! -d $UPS_PATH1 ]
   then
    echo ""
    echo "Nie mozna utworzyc katalogu $UPS_PATH1 - Instalacja przerwana"
    echo ""
    exit 3
 fi
fi  

if [ ! -d $UPS_PATH2 ]
 then
  echo "Utworzenie katalogu $UPS_PATH2"
  mkdir $UPS_PATH2
  if [ ! -d $UPS_PATH2 ]
   then
    echo ""
    echo "Nie mozna utworzyc katalogu $UPS_PATH2 - Instalacja przerwana"
    echo ""
    exit 3
 fi
fi  

if [ ! -d $UPS_PATH3 ]
 then
  echo "Utworzenie katalogu $UPS_PATH3"
  mkdir $UPS_PATH3
  if [ ! -d $UPS_PATH3 ]
   then
    echo ""
    echo "Nie mozna utworzyc katalogu $UPS_PATH3 - Instalacja przerwana"
    echo ""
    exit 3
 fi
fi  

if [ ! -d $UPS_PATH4 ]
 then
  echo "Utworzenie katalogu $UPS_PATH4"
  mkdir $UPS_PATH4
  if [ ! -d $UPS_PATH4 ]
   then
    echo ""
    echo "Nie mozna utworzyc katalogu $UPS_PATH4 - Instalacja przerwana"
    echo ""
    exit 3
 fi
fi  

if [ ! -d $UPS_PATH5 ]
 then
  echo "Utworzenie katalogu $UPS_PATH5"
  mkdir $UPS_PATH5
  if [ ! -d $UPS_PATH5 ]
   then
    echo ""
    echo "Nie mozna utworzyc katalogu $UPS_PATH5 - Instalacja przerwana"
    echo ""
    exit 3
 fi
fi  

###############################################################################
# kopiowanie plikow
echo "Kopiowanie oprogramowania."
cd client
cp upsc $UPS_PATH0
cp upsc.conf $UPS_PATH0
cp upsclient $UPS_PATH0
cp remove.sh $UPS_PATH0

cp server1/* $UPS_PATH1
cp server2/* $UPS_PATH2
cp server3/* $UPS_PATH3
cp server4/* $UPS_PATH4
cp server5/* $UPS_PATH5

# ustalenie wlasciwych praw dostepu
echo "Konfiguracja praw dostepu."
chmod 500 /etc/ups_client/upsc
chmod 500 /etc/ups_client/upsclient
chmod 500 /etc/ups_client/remove.sh

chmod 600 /etc/ups_client/upsc.conf

chmod 700 /etc/ups_client/server1/*
chmod 700 /etc/ups_client/server2/*
chmod 700 /etc/ups_client/server3/*
chmod 700 /etc/ups_client/server4/*
chmod 700 /etc/ups_client/server5/*


echo "Czy dopisac $UPSD do skryptow startowych ? (t/n)?"
read wybor
echo ""

if [ "$wybor" = 't' ]
 then
  {
  # dodanie do skryptow rc
  if [ -d /etc/rc2.d ]
   then
    ln -s /etc/ups_client/upsclient /etc/rc2.d/S95upsc 
   echo "Utworzono link /etc/rc2.d/S95upsc" 
  fi
  if [ -d /etc/rc3.d ]
   then
    ln -s /etc/ups_client/upsclient /etc/rc3.d/S95upsc 
   echo "Utworzono link /etc/rc2.d/S95upsc" 
  fi

  }
fi
echo ""
echo "nacisnij dowolny klawisz..."
read wybor

clear
echo "-------------------------------------------------------------------"
echo "-                       Informacje dodatkowe                      -"
echo "-------------------------------------------------------------------"
echo ""
echo "Przed uruchomieniem oprogramownia nalezy :"
echo ""
echo "1. skonfigurowac program, edytujac plik $UPS_PATH0/upsc.conf"
echo ""
echo "2. skonfigurowac skrypty $UPS_PATH0/server1..5"
echo ""
echo "3. uruchomic demona poleceniem: $UPS_PATH0/upsclient start"
echo "   lub zrestartowac serwer jezeli dodano do skryptow startowych"
echo ""
echo "4. wykonac test z innymi serwerami"
echo ""
echo ""
echo "nacisnij dowolny klawisz..."
read wybor
echo""
echo "-------------------------------------------------------------------"
echo "-               Instalacja zakonczona pomyslnie.                  -"
echo "-------------------------------------------------------------------"
echo "-             Zapraszamy na www.fideltronik.com.pl                -"
echo "-------------------------------------------------------------------"
echo ""
exit 0